[SRU] update python-petname and golang-petname libraries in xenial

Bug #1615143 reported by Dustin Kirkland  on 2016-08-19
14
This bug affects 1 person
Affects Status Importance Assigned to Milestone
golang-petname (Ubuntu)
Undecided
Unassigned
Xenial
High
Dustin Kirkland 
python-petname (Ubuntu)
Undecided
Unassigned
Xenial
High
Dustin Kirkland 

Bug Description

Please backport/update/SRU the golang-petname and python-petname packages in Xenial to the new ones from Yakety. These are needed for the MAAS 2.0 and LXD 2.0 builds. The new model uses much simpler, more pronouncable and memorable names -- a critical complaint of current MAAS and LXD randomly generated names.

Note that this update is 100% API compatible.

== SRU ==

[Impact]
The impact of this bug is that MAAS and LXD generally produce really complicated, unpronouceable random names, like:
 - polyvinylidene-latesha
 - quarantinable-ayesha
 - troglodytical-flor

The new petname methodology uses animals, has been meticulously curated, and undergoes a thorough series of quality tests. New petnames look like this:
 - suited-mallard
 - pure-ringtail
 - calm-shark

[Test Case]

To test this, you can install the new golang-petname, python-petname, and python3-petname packages and simply run:
 $ golang-petname
 novel-muskox
 $ python-petname
 giving-shrew
 $ python3-petname
 new-mole

Each of these build against the library (golang, python3) that MAAS and LXD use.

[Regression Potential]

Minimal. The only difference in behavior is that the new methodology produces far fewer unique combinations (~200K vs. ~200M). I've already discussed this with the MAAS and LXD maintainers.

[Other Info]

None.

Changed in golang-petname (Ubuntu):
status: New → Fix Released
Changed in python-petname (Ubuntu):
status: New → Fix Released
Changed in golang-petname (Ubuntu Xenial):
status: New → In Progress
Changed in python-petname (Ubuntu Xenial):
status: New → In Progress
Changed in golang-petname (Ubuntu Xenial):
importance: Undecided → High
Changed in python-petname (Ubuntu Xenial):
importance: Undecided → High
Changed in golang-petname (Ubuntu Xenial):
assignee: nobody → Dustin Kirkland  (kirkland)
Changed in python-petname (Ubuntu Xenial):
assignee: nobody → Dustin Kirkland  (kirkland)
description: updated
Changed in golang-petname (Ubuntu Xenial):
status: In Progress → Fix Committed
Changed in python-petname (Ubuntu Xenial):
status: In Progress → Fix Committed

Hello Dustin, or anyone else affected,

Accepted golang-petname into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/golang-petname/2.2-0ubuntu1~16.04 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: added: verification-needed
Martin Pitt (pitti) wrote :

Hello Dustin, or anyone else affected,

Accepted python-petname into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/python-petname/2.0-0ubuntu1~16.04 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Dustin Kirkland  (kirkland) wrote :

python-petname and python3-petname look good:

kirkland@x230:~⟫ dpkg -l python-petname python3-petname | grep ^ii
ii python-petname 2.0-0ubuntu1~16.04 all python library for generating pronouncable, memorable, pet names
ii python3-petname 2.0-0ubuntu1~16.04 all python3 library for generating pronouncable, memorable, pet names
kirkland@x230:~⟫ python-petname
hot-toad
kirkland@x230:~⟫ python3-petname
true-parrot

kirkland@x230:~⟫ python
Python 2.7.12 (default, Jul 1 2016, 15:12:24)
[GCC 5.4.0 20160609] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> import petname
>>> petname.Generate(2, "-")
'cute-ferret'

kirkland@x230:~⟫ python3
Python 3.5.2 (default, Jul 5 2016, 12:43:10)
[GCC 5.4.0 20160609] on linux
Type "help", "copyright", "credits" or "license" for more information.
>>> import petname
>>> petname.Generate(2, "-")
'noted-martin'

Martin Pitt (pitti) wrote :

The xenial backport is broken: It generates a new libgolang-petname1 binary which is empty. It either needs to be fixed to actually have a shared library or (as shlib support seems new in yakkety's Go) be dropped for the backport. For example with something like

if (not_supports_shlibs)
   export DH_OPTIONS=-N libgolang-petname1
endif

tags: added: verification-failed
removed: verification-needed
Changed in golang-petname (Ubuntu Xenial):
status: Fix Committed → In Progress
Martin Pitt (pitti) wrote :

Hello Dustin, or anyone else affected,

Accepted golang-petname into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/golang-petname/2.3-0ubuntu1~16.04 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in golang-petname (Ubuntu Xenial):
status: In Progress → Fix Committed
tags: removed: verification-failed
tags: added: verification-needed
Dustin Kirkland  (kirkland) wrote :

And the golang package works well too (which means that the library should be good as well).

kirkland@x230:~⟫ dpkg -l golang-petname | grep ^ii
ii golang-petname 2.3-0ubuntu1~16.04 amd64 generate pronouncable, perhaps even memorable, pet names
kirkland@x230:~⟫ golang-petname
evolving-moth
kirkland@x230:~⟫ golang-petname
singular-louse
kirkland@x230:~⟫ golang-petname
valued-opossum

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package golang-petname - 2.3-0ubuntu1~16.04

---------------
golang-petname (2.3-0ubuntu1~16.04) xenial-proposed; urgency=medium

  * Backport golang-petname from yakkety to xenial, to take advantage
    of the vastly improved format in LXD, LP: #1615143

golang-petname (2.3-0ubuntu1) yakkety; urgency=medium

  * debian/rules:
    - don't build libgolang-petname1 on xenial

golang-petname (2.2-0ubuntu1) yakkety; urgency=medium

  * debian/rules, === removed directory usr, === removed directory
    usr/lib:
    - fix shared library build on yakkety while maintaining xenial
      no-shared-lib build

golang-petname (2.1-0ubuntu1) yakkety; urgency=medium

  [ Michael Hudson-Doyle ]
  * debian/control, debian/golang-petname-dev.install:
    - Build shared lib package.

  [ Dustin Kirkland ]
  * === added directory usr, === added directory usr/lib,
    debian/control, debian/golang-petname-dev.install:
    - add a couple of hacks, to not break the build on releases before
      yakkety
      + namely, use a dummy (dh-apparmor) to ensure we can meet a
        build-dependency on xenial
      + create the usr/lib dir, and always install it

golang-petname (2.0-0ubuntu1) yakkety; urgency=medium

  [ Dustin Kirkland ]
  * petname.go, README.md:
    - remove some non-words
  * debian/control, debian/golang-petname-dev.install:
    - reverting Michael's shared library changes, as it's breaking the build
  * petname.go, README.md:
    - bump to petname 2.0, using animals instead of people names, major change
    - rebuild with simplest, smallest wordlist

golang-petname (1.10-0ubuntu1) xenial; urgency=medium

  [ Michael Hudson-Doyle ]
  * Make packaging more typical for a package that uses dh-golang.

 -- Dustin Kirkland <email address hidden> Tue, 23 Aug 2016 09:30:19 -0400

Changed in golang-petname (Ubuntu Xenial):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for golang-petname has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package python-petname - 2.0-0ubuntu1~16.04

---------------
python-petname (2.0-0ubuntu1~16.04) xenial-proposed; urgency=medium

  * backport python-petname library to 16.04, LP: #1615143

python-petname (2.0-0ubuntu1) yakkety; urgency=medium

  * setup.py
    - fix typo in setup.py
  * petname/__init__.py, petname/__main__.py, usr/bin/python3-petname,
    usr/bin/python-petname, usr/share/man/man1/python3-petname.1,
    usr/share/man/man1/python-petname.1:
    - add support for a -l|--letters parameter, default to 6
    - creates shorter, more readable names
  * petname/english.py, README.md:
    - remove some nonsense words
  * remove binary pyc files
  * debian/rules, petname/__init__.py, usr/bin/python-petname:
    - fix build, protect from infinite loop
  * petname/english.py, README.md, setup.py:
    - bump to 2.0, using the new petname 2.0 wordlists, which are smaller,
      simpler, and use animal names instead of people names

python-petname (1.12-0ubuntu1) xenial; urgency=medium

  * debian/control, debian/rules, debian/update-wordlists.sh:
    - remove build dependency on petname; only the maintainer
      ever needs to run update-wordlists

 -- Dustin Kirkland <email address hidden> Fri, 19 Aug 2016 17:09:04 -0500

Changed in python-petname (Ubuntu Xenial):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers